# Create an account (tenant)

Create a new account (tenant). If an account with the given ID previously existed and was removed, this action will reactivate that account. Requires an environment token obtained from the environment authentication route.

Endpoint: POST /resources/tenants/v1
Version: 1.0
Security: bearer

## Security:

  - `bearer` (unknown)
    http bearer JWT

## Request fields (application/json):

  - `tenantId` (string)
    Send your own unique tenantId or Frontegg will auto-generate a UUID

  - `name` (string)

  - `status` (string)
    This field can be used for custom logic, it is not enforced in Frontegg flows

  - `website` (string)

  - `applicationUrl` (string)

  - `logo` (string)
    Base64-encoded image to use as logo.

  - `logoUrl` (string)

  - `address` (string)

  - `timezone` (string)

  - `currency` (string)

  - `creatorName` (string)

  - `creatorEmail` (string)

  - `isReseller` (boolean)

  - `parentTenantId` (string)

## Response 400:

  - `400` (unknown)
    When the account (tenant) ID does not pass the validation.

